;intro.asm
; began 10/11/02


 ; reset data

 ld hl,voidSafeMem
 ld de,voidSafeMem+1
 ld (hl),0
 ld bc,765
 ldir

 ld a,187
 ld (map+384),a
LevelDONE:
 ld hl,enemies
 inc (hl)
 ld hl,lives
 inc (hl)

restartLevel:
 xor a
 ld (levelEnd),a

 ; Display the title graphic along with counts on your
 ;  lives, axes and scrolls

 B_CALL GrBufClr

 call loadTitle

 ld hl,28*256+34
 ld (pencol),hl
 ld hl,intro_text1
 call vputsApp

 ld hl,30*256
 ld (pencol),hl
 ld a,(lives)
 B_CALL setxxop1
 ld a,2
 B_CALL dispop1a

 ld hl,game_text3
 call vputsApp

 ld hl,57*256+10
 ld (pencol),hl
 ld hl,intro_text2
 call vputsApp

 ld a,(axes)
 B_CALL setxxop1
 ld a,2
 B_CALL dispop1a

 ld hl,57*256+54
 ld (pencol),hl
 ld hl,intro_text3
 call vputsApp

 ld a,(scrolls)
 B_CALL setxxop1
 ld a,2
 B_CALL dispop1a

 B_CALL GrBufCpy

 ; show the current Level

 ld hl,0A05h
 ld (currow),hl
 ld a,(enemies)
 ld l,a
 ld h,0
 B_CALL disphl

 ld hl,0805h
 ld (currow),hl
 ld hl,game_text2
 call putsApp

 ; show the percentage complete.
 ;  this is just for show :)
 ;  the computer industry thinks this is okay to do,
 ;  so naturally i follow their example

 ld b,99
percentGRFXloop:
				; with the level % done line
 push bc			; disp Pct randomized and show graph
 ld hl,0005h			;
 ld (currow),hl			; Load coordinates for our disphl call.

 ld a,100
 sub b
 ld l,a
 ld h,0
 push hl
 B_CALL disphl			; 
 ld a,lpercent			; 
 B_CALL PutC		; Display percent mark.
 pop hl
 ld b,l
 ld c,11			; 
 ld d,1				;
 B_CALL ipoint			; Draws the "loading" line.

 ei
 halt
 halt
 halt
 halt
 pop bc
 djnz percentGRFXloop


