; selector
 xor a
 ld (temp),a

 ld (tmpx),a

selectorMain:
 B_CALL GrBufClr

 call loadPackTitle

 ; show cursor
 ld a,(temp)
 or a
 jr z,selectFalldown
 cp 1
 jr z,selectKnight
 cp 2
 jr z,selectRogue

selectorKeypress:

 ld hl,256*32
 ld (pencol),hl
 ld a,(tmpx)
 sra a
 sra a
 and 00111000b
 ld e,a
 ld d,0
 ld hl,voidMembers
 add hl,de
 call vputsApp

 ld hl,256*38
 ld (pencol),hl
 ld a,(tmpx)
 sra a
 sra a
 sra a
 sra a
 sra a
 and 111b
 call multBy10
 ld de,voidMembers2
 add hl,de
 call vputsApp

 ld a,(tmpx)
 inc a
 ld (tmpx),a

 B_CALL grbufcpy

 ei
 halt
 halt 
 halt

 B_CALL GetCSC
 cp skLeft
 jr z,selectorUp
 cp skUp
 jr z,selectorUp
 cp skRight
 jr z,selectorDown
 cp skDown
 jr z,selectorDown
 cp skEnter
 jr z,selectionMade
 cp skMode
 jr nz,selectorMain
 jp quit

selectorUp:
 ld a,(temp)
 or a
 jr z,selectorMain
 dec a
 ld (temp),a
 jr selectorMain

selectorDown:
 ld a,(temp)
 cp 2
 jr z,selectorMain
 inc a
 ld (temp),a
 jr selectorMain

selectionMade:
 ld a,(temp)
 or a
 jp z,falldownMain
 cp 1
 jr z,knightMain
 cp 2
 jr z,rogueMain
 jp selectorMain

selectFalldown:

 ; fall down - 5 byte mask (0 - 24)
 ld hl,plotsscreen
 ld b,25
selectFalldownOuter:
 ld c,5
selectFalldownInner:
 ld a,(hl)
 xor 255
 ld (hl),a
 inc hl
 dec c
 jr nz,selectFalldownInner

 ld a,(hl)
 xor 11000000b
 ld (hl),a

 ld de,7
 add hl,de
 djnz selectFalldownOuter
 jr selectorKeypress

selectKnight:

 ; knight moves - 6 byte mask (0-25)
 ld hl,plotsscreen+5
 ld b,26
selectKnightOuter:
 ld a,(hl)
 xor 00111111b
 ld (hl),a
 inc hl
 ld c,6
selectKnightInner:
 ld a,(hl)
 xor 255
 ld (hl),a
 inc hl
 dec c
 jr nz,selectKnightInner

 ld de,5
 add hl,de
 djnz selectKnightOuter
 jr selectorKeypress

selectRogue:
 ; rogue - 6 byte mask (29-64)
 ld hl,plotsscreen+365		; 30*12+5
 ld b,34
selectRogueOuter:
 ld a,(hl)
 xor 00000111b
 ld (hl),a
 inc hl
 ld c,6
selectRogueInner:
 ld a,(hl)
 xor 255
 ld (hl),a
 inc hl
 dec c
 jr nz,selectRogueInner

 ld de,5
 add hl,de
 djnz selectRogueOuter
 jr selectorKeypress

voidMembers:
 db "  void ",0
 db " AHMED ",0
 db "DERRICK",0
 db " HARPER",0
 db " KOURI ",0
 db "  SAM  ",0
 db " WOUTER",0
 db  "VoidPack",0

voidMembers2:
 db " members ",0
 db " EL-HELW ",0
 db "  WARD   ",0
 db " MADDOX  ",0
 db "ROSENBERG",0
 db "  HEALD  ",0
 db "DEMUNCYK ",0
 db "  v 1.0  ",0



