falldownMain:
 sbc hl,hl
 ld (falldownScore),hl

 B_CALL GrBufClr

  ld de,30*256+4
  ld hl,AuthorStr
  call vDispText

  ld de,37*256+7
  ld hl,AuthorWeb
  call vDispText

;  ld de,57*256+0
;  ld hl,HighScr
;  call vDispText

;  ld de,57*256+45
;  ld hl,(HighS)
;  call SdispHL

  ld de,57*256+20
  ld hl,fdExitText
  call vDispText

 B_CALL grbufcpy

  set 3,(iy+005h)
  ld de,2
  ld hl,name
  call DispText
  res 3,(iy+005h)

  B_CALL getkey
  cp kMode
  jp z,quit
  call waitUntilKEYup

  B_CALL GrBufClr

  ; set initial ball postion

	ld	hl,0*256+44
	ld	(ballx),hl

initializeFalldown:
  call RandomBlocks
  ld hl, (falldownScore)
  add hl, hl			; hl=score*2
  ld a, 24
  sub h				; a=0 if sc<128, 1 if 128<=sc<256, ...
  ld b, a

sloop:  ld      a,b                     ;
        ld      (blockcnt),a            ;
        call    scroll                  ;
        call    falldownCollision               ; check collisions
        call    putball                 ; draw ball
        B_CALL GrBufCpy
        call    putball                 ; clear bal
		  
 ;call delay
 EI
 HALT

 ; DI keypresses
 ld a,0ffh 			;resets the keypad.
 out (1),a			;'Required syntax' :)
 ld a,0feh 			;Enable group 1.
 out (1),a 			
 in a,(1) 			;'Required Syntax'
 cp diLeft
 jr z,falldownLeft
 cp diRight
 jr z,falldownRight

falldownDoneMV:
 ; Regular Keypresses
 ld a,0ffh 			;Reset keypad again.
 out (1),a
 ld a,0bfh			;Enable group 2.
 out (1),a 
 in a,(1)
 cp diMode
 jp z,quit

 ld a,(blockcnt)            ;
 ld b,a                     ;
 djnz sloop                   ;
 jr initializeFalldown


falldownLeft:
 ld a,(ballx)
 sub 2
 jr c,falldownDoneMV
 ld (tmpx),a  
 jr falldownXCheck

falldownRight:
 ld a,(ballx)
 add a,2
 cp 92
 jr nc,falldownDoneMV
 ld (tmpx),a
 add a,5

falldownXCheck:
 ld hl,bally
 ld e,(hl)
 call findPixel
 ld a,(hl)
 or a
 jr nz,falldownDoneMV
 ld de,5*12
 add hl,de
 ld a,(hl)
 or a
 jr nz,falldownDoneMV
 ld a,(tmpx)
 ld (ballx),a
 jr falldownDoneMV